---
- name: Setup loadbalancer server
  hosts: loadbalancer_server

  vars:
    config_dir: "{{ nomad_config_dir |d('/etc/nomad.d') }}"
    env_file: "{{ nomad_env_file |d('nomad.env') }}"
    vault_addr: "{{ vault_uri |d('http://127.0.0.1:8200') }}"
    anonymous_policy: "{{ nomad_anonymous_policy |d(false) }}"
    acl_enabled: "{{ nomad_acl_enabled |d(false) }}"
    consul_management_token: "{{ consul_tokens.initial_management }}"
    server_policy_in_consul: "{{ nomad_server_policy_in_consul }}"
    client_policy_in_consul: "{{ nomad_client_policy_in_consul }}"

  tasks:
    # FIXME: Add module_hotfixes=true
    - name: Install nginx stable repo
      yum_repository:
        name: nginx stable
        description: Nginx Stable - $basearch
        baseurl: https://nginx.org/packages/centos/$releasever/$basearch/
        enabled: yes
        gpgcheck: yes
        gpgkey: https://nginx.org/keys/nginx_signing.key
        file: nginx

    - name: Install required packages
      package:
        name: "{{ package_list }}"
        state: present
      vars:
        package_list:
          - nginx

